Loading...
Searching...
No Matches
Opm::RestartIO::Helpers::AggregateMSWData Class Reference

## Public Member Functions

| AggregateMSWData (const std::vector< int > &inteHead)
void | captureDeclaredMSWData (const Opm::Schedule &sched, const std::size_t rptStep, const Opm::UnitSystem &units, const std::vector< int > &inteHead, const Opm::EclipseGrid &grid, const Opm::SummaryState &smry, const Opm::data::Wells &wr)
const std::vector< int > & | getISeg () const
| Retrieve Integer Multisegment well data Array.
const std::vector< double > & | getRSeg () const
| Retrieve Double precision segment data Array.
const std::vector< int > & | getILBs () const
| Retrieve Integer multisegment well data Array for lateral branches (ILBS).
const std::vector< int > & | getILBr () const
| Retrieve Integer multisegment well data Array for lateral branches (ILBR).

The documentation for this class was generated from the following files:

- opm/output/eclipse/AggregateMSWData.hpp
- opm/output/eclipse/AggregateMSWData.cpp